cabal-debian
Create a debianization for a cabal package

NEW: Take a look at the new package tracker: tracker.debian.org/pkg/cabal-debian

general

source
cabal-debian (source, utils)
version
4.35.6-2
maint
Debian Haskell Group (a), Clint Adams (u), Dmitry Bogatov (u)
std-ver
3.9.8
VCS
Git (browse)

binaries

todo

  • Lintian reports 5 warnings about this package. You should make the package lintian clean getting rid of them.
  • The package should be updated to follow the last version of Debian Policy (Standards-Version 4.1.0 instead of 3.9.8).
  • A new upstream version is available: 4.35.9, you should consider packaging it.

problems

  • The package is severely out of date with respect to the Debian Policy. Latest version is 4.1.0 and your package only follows 3.9.8...
  • There were override disparities found in suite unstable:
    • cabal-debian: Override says utils - optional, .deb says utils - extra

autoremoval from testing

  • Version 4.35.6-2 of cabal-debian is marked for autoremoval from testing on 2017-10-29.
  • It depends (transitively) on and haskell-profunctors, affected by RC bug(s) and 875877
  • You should try to prevent the removal from testing by fixing these bugs.

testing migration

news RSS

bugs

all bug history graph
1
RC
0
I&N
1
M&W
0
F&P
0